Avisi cloud logo
Cloud accounts

Create a cloud account in an organisation.

POST
/api/v1/orgs/{organisationSlug}/cloud-accounts

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$

Request Body

application/json
  1. body
displayName*string
Match^[a-zA-Z0-9\-\s&]*$
Length1 <= length <= 64
metadata?
cloudProfile*string
Length0 <= length <= 64

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
identity?string
Formatuuid
displayName?string
metadata?
cloudProfile?
enabled?boolean
primaryCloudCredentialsIdentity?string
Formatuuid
curl -X POST 'https://api.avisi.cloud/api/v1/orgs/string/cloud-accounts' \  -H 'Content-Type: application/json' \  -d '{  "displayName": "string",  "cloudProfile": "string"}'
{  "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",  "displayName": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "cloudProfile": {    "identity": "string",    "displayName": "string",    "metadata": {      "property1": "string",      "property2": "string"    },    "cloudProvider": "string",    "regions": [      "string"    ],    "enabled": true,    "type": "aws",    "cloudProviderResponse": {      "id": 0,      "name": "string",      "slug": "string",      "available": true,      "createdAt": "2019-08-24T14:15:22Z",      "modifiedAt": "2019-08-24T14:15:22Z",      "logo": "string",      "byon": true,      "type": "aws",      "privateClusterSetting": "UNAVAILABLE",      "metadata": {        "property1": "string",        "property2": "string"      },      "validateCloudCredentials": true    },    "cloudProviderRegionResponses": [      {        "id": 0,        "provider": "string",        "name": "string",        "slug": "string",        "available": true,        "restricted": true,        "addToNewTrialOrganizations": true,        "createdAt": "2019-08-24T14:15:22Z",        "modifiedAt": "2019-08-24T14:15:22Z"      }    ],    "public": true  },  "enabled": true,  "primaryCloudCredentialsIdentity": "962b660f-35b8-4ef0-9e6d-6f86f64922e0"}